Bug 1469003 - no upgrade path for F25 package spyder
no upgrade path for F25 package spyder
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spyder (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 04:30 EDT by Kamil Páral
Modified: 2017-10-02 10:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-02 10:42:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2017-07-10 04:30:40 EDT
Description of problem:
I had spyder installed from Fedora 25 and it is shown as an orphan by dnf in Fedora 26. Spyder package seems to have been removed in F26 and replaced by python2-spyder and python3-spyder. But none of those package properly provide/obsolete the old spyder package, and therefore it doesn't get updated.

Please provide a proper upgrade path for the old spyder package.

Version-Release number of selected component (if applicable):
python2-spyder-3.1.4-2.fc26.noarch
python3-spyder-3.1.4-2.fc26.noarch
Comment 1 Fedora Update System 2017-07-10 15:11:02 EDT
spyder-3.1.4-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c777d9d687
Comment 2 Fedora Update System 2017-07-12 04:37:20 EDT
spyder-3.1.4-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c777d9d687
Comment 3 Fedora Update System 2017-08-31 22:17:45 EDT
python-QtPy-1.3.1-1.fc26 spyder-3.2.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 4 Fedora Update System 2017-08-31 22:18:06 EDT
python-QtPy-1.3.1-1.fc27 spyder-3.2.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 5 Tomáš Hozza 2017-09-01 04:46:42 EDT
package solving this bug is already in F26 updates stable.
Comment 6 Fedora Update System 2017-09-02 18:37:57 EDT
python-QtPy-1.3.1-1.fc27 spyder-3.2.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 7 Fedora Update System 2017-09-03 01:22:56 EDT
python-QtPy-1.3.1-1.fc26, spyder-3.2.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 8 Fedora Update System 2017-09-03 15:53:11 EDT
python-QtPy-1.3.1-1.fc27, spyder-3.2.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482

Note You need to log in before you can comment on or make changes to this bug.